# Function layerDecoration

- layerDecoration(layer: BaseLayer): void

- Provides a function that adds properties (using `Object.defineProperty`) to the layer, making it possible to control layer properties with ngModel.

  Example:

       <input type="checkbox" ngModel="layer.visible" />

  #### Parameters

  - ##### layer: BaseLayer

    Layer to decorate.

  #### Returns void

  - Defined in src/misc/decorate.js:62

Generated using TypeDoc